package com.thinkgem.jeesite.modules.pay.entity;

import com.thinkgem.jeesite.common.baseBean.BaseEntity;

import java.io.Serializable;

public class RateEntity extends BaseEntity implements Serializable {
    private String userLevel; // 用户等级
    private String payMethod; // 支付方式
    private String rate; // 费率
    private String balance; // 结算
    private String singleLimit; // 单笔限额
    private String dayLimit; // 当天额度
    private String payChannel;// HL3通道的汇率编码

    private String img; // 图标

    private String payMethodLabel;// 支付方式名称



    public RateEntity() {
    }

    public RateEntity(String userLevel, String payMethod,String payChannel) {
        this.userLevel = userLevel;
        this.payMethod = payMethod;
        this.payChannel = payChannel;
    }

    public String getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(String userLevel) {
        this.userLevel = userLevel;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getSingleLimit() {
        return singleLimit;
    }

    public void setSingleLimit(String singleLimit) {
        this.singleLimit = singleLimit;
    }

    public String getDayLimit() {
        return dayLimit;
    }

    public void setDayLimit(String dayLimit) {
        this.dayLimit = dayLimit;
    }

    public String getPayMethodLabel() {
        return payMethodLabel;
    }

    public void setPayMethodLabel(String payMethodLabel) {
        this.payMethodLabel = payMethodLabel;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }
}
